### Function

# Pango Language from_string

#### Declaration [src]

    PangoLanguage*
    pango_language_from_string (
      const char* language
    )

#### Description [src]

Convert a language tag to a `PangoLanguage`.

The language tag must be in a RFC-3066 format. `PangoLanguage` pointers can be efficiently copied (copy the pointer) and compared with other language tags (compare the pointer.)

This function first canonicalizes the string by converting it to lowercase, mapping ‘_’ to ‘-‘, and stripping all characters other than letters and ‘-‘.

Use `pango_language_get_default()` if you want to get the `PangoLanguage` for the current locale of the process.

#### Parameters

`language`

  Type: `const char*`

  A string representing a language tag.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PangoLanguage`

A `PangoLanguage`

The data is owned by the called function.
The return value can be `NULL`.